---
# tasks file for thanos

- name: Check if thanos 'mode' variable is set and not empty
  ansible.builtin.fail:
    msg: "The thanos 'mode' variable is not set or is empty."
  when: mode is not defined or mode | trim == ""

- name: Ensure Thanos configuration directory
  ansible.builtin.file:
    path: '{{ thanos_config_dir }}'
    state: directory
    mode: "0755"
    owner: "{{ monitoring_localuser }}"
    group: "{{ monitoring_localgroup }}"
  become: true

- name: Task thanos_sidecar
  ansible.builtin.include_tasks: thanos_sidecar.yml
  when: mode == "thanos_sidecar"

- name: Task thanos_query
  ansible.builtin.include_tasks: thanos_query.yml
  when: mode == "thanos_query"

- name: Task thanos_query_frontend
  ansible.builtin.include_tasks: thanos_query_frontend.yml
  when: mode == "thanos_query"

- name: Task thanos_store
  ansible.builtin.include_tasks: thanos_store.yml
  when: mode == "thanos_store"

- name: Thanos_compactor task
  ansible.builtin.include_tasks: thanos_compactor.yml
  when: mode == "thanos_compactor"

- name: Thanos_receive task
  ansible.builtin.include_tasks: thanos_receive.yml
  when: mode == "thanos_receive"

- name: Thanos_ruler task
  ansible.builtin.include_tasks: thanos_ruler.yml
  when: mode == "thanos_ruler"
